MCUXpress SDK 11.2.0 breaks ConfigTool configuration file in my KW38 project

取消
显示结果 
显示  仅  | 搜索替代 
您的意思是: 
已解决

MCUXpress SDK 11.2.0 breaks ConfigTool configuration file in my KW38 project

跳至解决方案
1,219 次查看
FedericoWegher
Contributor III

Hello.

I had been using MCUXpresso 11.1.x and SDK 2.6.5 with ConfigTool for a KW38 project. The project is using ConfigTool for pin muxing.

Everything had worked fine until I moved to MCUXpresso 11.2.0. Now, when I open my project or select ConfigTool perspective, I get the following dialog error message:

"Processor MKW38A512xxx4, ksdk2_0 version is not supported by current version of the tool"

The problem is not in my configuration file. It can be easily reproduced with any example from SDK, in slightly different form since examples do not have .mex ConfigTool files. Procedure is:

  1. import an SDK example, like temperature sensor
  2. open ConfigTool perspective
  3. verify that "MCU is not select" error message occurs in the tool bar, and the list of available processor is empty

I verified the problem is present also with SDK 2.6.6. So I think the problem was introduced in MXUXpresso 11.2.0.

 

Thank you

 

0 项奖励
1 解答
931 次查看
FedericoWegher
Contributor III

MCUXpresso v11.3.0 fixes the problem.

I am using it together with SDK 2.6.9.

Thank you for resolution of problem.

Best regards,

Federico

在原帖中查看解决方案

0 项奖励
8 回复数
932 次查看
FedericoWegher
Contributor III

MCUXpresso v11.3.0 fixes the problem.

I am using it together with SDK 2.6.9.

Thank you for resolution of problem.

Best regards,

Federico

0 项奖励
1,212 次查看
nxf56274
NXP Employee
NXP Employee

Hi,

Yeah. The latest mcuxpresso doesn't support old version sdk. It will cause many problems. You have to install the latest sdk.

Have a great day,
TIC

-------------------------------------------------------------------------------
Note:
- If this post answers your question, please click the "Mark Correct" button. Thank you!

- We are following threads for 7 days after the last post, later replies are ignored
Please open a new thread and refer to the closed one, if you have a related question at a later point in time.
-------------------------------------------------------------------------------

0 项奖励
1,209 次查看
FedericoWegher
Contributor III

Can you please clarify which versions of what I should use?

I am using SDK v2.6.6 and IDE v11.2.0. I see today 2.6.7 was released, so 2.6.6 is not that old ;-).

Thank you,

Federico

0 项奖励
1,201 次查看
nxf56274
NXP Employee
NXP Employee

Hi,

Use your IDE to download the sdk. It will show the latest version.;-)

12.PNG

 

 

Have a great day,
TIC

-------------------------------------------------------------------------------
Note:
- If this post answers your question, please click the "Mark Correct" button. Thank you!

- We are following threads for 7 days after the last post, later replies are ignored
Please open a new thread and refer to the closed one, if you have a related question at a later point in time.
-------------------------------------------------------------------------------

0 项奖励
1,028 次查看
m3
Contributor II

Just tried it - doesn´t work.

I tested it with both available SDKs(2.6.9) for the KW38A downloaded from inside the IDE.

"Processor ´MKW38A512xxx4´is not supported or data for processor not available"

Any ideas?

 

0 项奖励
999 次查看
FedericoWegher
Contributor III

I confirm latest SDKs 2.6.7, 2.6.8 and 2.6.9 have the same problem.

Waiting for NXP to comment. Thanks.

0 项奖励
987 次查看
m3
Contributor II

I opened a Case about this, here is the answer:

I checked the issue that you are facing. I double-checked with the development team.
Currently, the device is not supported for the online and the IDE config tools.
Sorry for any inconvenience that this may cause you.

To update this case, you may reply by email.

...

0 项奖励
1,191 次查看
FedericoWegher
Contributor III

Hi.

Thank you for your feedback, which I understood confirms latest SDK 2.6.7 fixes the problem.

I will try the update and let you know.

Thank you

0 项奖励